﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Dynamic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SyncfusionBugReplication
{
    public class ViewModel
    {
        private ObservableCollection<dynamic> collection;
        private static Random random = new Random();

        public ViewModel()
        {
            this.collection = new ObservableCollection<dynamic>();
        }

        public ViewModel(int count)
        {
            this.collection = GetRecords(count);
        }

        public ObservableCollection<dynamic> Collection
        {
            get
            {
                return this.collection;
            }
            set
            {
                this.collection = value;
            }
        }

        public ObservableCollection<dynamic> GetRecords(int count)
        {
            var data = new ObservableCollection<dynamic>();

            for (var i = 0; i < count; i++)
                data.Add(GetRecord());

            return data;
        }

        public dynamic GetRecord()
        {
            dynamic item = new ExpandoObject();
            item.Number = random.Next(10000);
            item.Randoms = new int[5];

            for (var i = 0; i < item.Randoms.Length; i++)
            {
                item.Randoms[i] = random.Next(10000);
            }

            return item;
        }
    }
}
